#ifndef CN_FOREGROUND_H_INCLUDED
#define CN_FOREGROUND_H_INCLUDED 1

#include <e32std.h>
#include <e32base.h>
#include <w32std.h>

class MForegroundObserver {
public:
	virtual void ForegroundChanged(TUid AppUid) = 0;
};

class CForeground : public CActive {
public:
	static CForeground* NewL(RWsSession& aWsSession);

	virtual void AddObserver(MForegroundObserver* aObserver) = 0;

	CForeground(CActive::TPriority aPriority);
	virtual ~CForeground();
};

/*
class MAutoLockStatusObserver {
public:
	virtual void AutoLockStatusChanged() =0;
};

class CAutoLockStatus : public CActive {
public:
	static CAutoLockStatus* NewL();
	virtual void AddObserver(MAutoLockStatusObserver* aObserver) =0;
	CAutoLockStatus(CActive::TPriority aPriority);
	virtual ~CAutoLockStatus();
};
*/
#endif
