#ifndef CC_RAMUTEX_H_INCLUDED
#define CC_RAMUTEX_H_INCLUDED 1

#include <e32std.h>
#include "raii.h"

class RAMutex : public RMutex, public RABase {
public:
	inline void GlobalLA(const TDesC& aName) {
		RABase::CloseRA();
		TInt err=CreateGlobal(aName);
		if (err!=KErrNone) {
			User::LeaveIfError(OpenGlobal(aName));
		}
		Wait();
		iOpen=ETrue;
		PutOnStackL();
	}
	~RAMutex() { RABase::CloseRA(); }
	void CloseInner() { RMutex::Signal(); RMutex::Close(); }
private:
	void Close() { }
	void Signal() { }
};

#endif // CC_RAMUTEX_H_INCLUDED
