#ifndef CONTEXT_CSD_IDLE_H_INCLUDED
#define CONTEXT_CSD_IDLE_H_INCLUDED 1

#include <e32std.h>
#include "bbdata.h"
#include "context_uids.h"
#include "concretedata.h"

_LIT(KIdle, "useractivity");
const TTypeName KIdleType = { { CONTEXT_UID_SENSORDATAFACTORY }, 18, 1, 0 };
const TTupleName KIdleTuple = { { CONTEXT_UID_CONTEXTSENSORS }, 18 };

class TBBUserActive : public TBBCompoundData  {
public:
	TBBBool		iActive;
	TBBTime		iSince;

        IMPORT_C virtual const TTypeName& Type() const;
	IMPORT_C virtual TBool Equals(const MBBData* aRhs) const;

	IMPORT_C static const TTypeName& StaticType();
	IMPORT_C const MBBData* Part(TUint aPartNo) const;

	IMPORT_C MBBData* CloneL(const TDesC& Name) const;
public:
	IMPORT_C void IntoStringL(TDes& aString) const;
	IMPORT_C TBBUserActive();
	virtual const TDesC& StringSep(TUint aBeforePart) const;

	IMPORT_C bool operator==(const TBBUserActive& aRhs) const;
	IMPORT_C TBBUserActive& operator=(const TBBUserActive& aRhs);
};

#endif
